QGIS Application - Bug report #4209
Fail when using clipper from Gdal Tools
2011-08-22 08:13 PM - Caio Hamamura

Status: Rejected

Priority: Normal

Assignee:

Category: GDAL Tools

Affected QGIS version: Regression?: No
Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: duplicate
Crashes QGIS or corrupts data: Copied to github as #: 14173
Description

When | try to use Clipper from Gdal Tools with a shapefile mask it returns the following error:

Traceback (most recent call last):
File "C:\\OSGeo4W\\apps\\qgis\\python\\plugins\\Gdal Tools\\tools\\widgetPluginBase.py", line 27, in someValueChanged
self.emit(SIGNAL"), self.getArguments())
File "C:\\OSGeo4W\\apps\\qgis\\python\\plugins\\Gdal Tools\\tools\\doClipper.py", line 105, in getArguments
return self.getArgsModeMask()
File "C:\\OSGeo4W\\apps\\qgis\\python\\plugins\\Gdal T ools\\tools\\doClipper.py", line 143, in getArgsModeMask
if self.alphaBandCheck.isChecked():
TypeError: 'sip.methoddescriptor' object is not callable

History

#1 - 2011-08-22 08:20 PM - Caio Hamamura

It is specific for the plugin in QGIS, since gdal warp -f GTiff -cutline shape.shp srcraster.tif outputraster.tif does works.

#2 - 2011-08-23 12:37 AM - Paolo Cavallini
- Resolution set to duplicate

- Status changed from Open to Rejected

Duplicate of #4191
